extends ButtonGenerator


func get_buttons() -> Control:
	var burn_button: Button = Button.new()
	burn_button.text = "Потушить спиртовку" if $"../BurnArea".enabled else "Зажечь спиртовку"
	burn_button.pressed.connect(toggle_burner)
	
	return burn_button

func toggle_burner() -> void:
	$"../BurnArea".enabled = not $"../BurnArea".enabled
	GuiSignalBus.add_buttons.emit(get_buttons())
